v1.0.0
OpenAPI 3.1.0
Get a translation in a newsletter test group
Client Libraries
US region
Returns information about a specific language variant of a newsletter in an A/B test group. You can retrieve test_group_ids from Get variants in a newsletter test group.
The identifier of a newsletter.
The ID of the A/B test group.
A language tag of a language variant. If you don't provide a language (an empty string), we'll use your default language. If the language variant does not exist, we'll return an error.
The language does not exist.
The newsletter or variant does not exist.
Your request is over the 10-per-second limit.
curl 'https://api.customer.io/v1/newsletters/1/test_group/{test_group_id}/language/{language}' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"content": {
"id": 1,
"newsletter_id": 10,
"deduplicate_id": "15:1492548073",
"name": "newsletter variant A",
"layout": "<html><body>{{ content }}</body></html>",
"body": "<strong>Hello from the API</strong>",
"body_amp": "string",
"language": "fr",
"type": "email",
"from": "sentFrom@example.com",
"from_id": 1,
"reply_to": "replyto@example.com",
"reply_to_id": 38,
"preprocessor": "premailer",
"recipient": "{{customer.email}}",
"subject": "Did you get that thing I sent you?",
"cc": "string",
"bcc": "string",
"fake_bcc": true,
"preheader_text": "string",
"headers": "[{\"name\":\"X-Mailgun-Tag\",\"value\":\"my-cool-tag\"},{\"name\":\"X-Custom-Header\",\"value\":\"custom-value\"}]"
}
}Returns newsletter content for a language variant in a test group.